Bug 144065 - hal-device-manager: bus.set_label key error
hal-device-manager: bus.set_label key error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 05:46 EST by Ivan Gyurdiev
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 14:29:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-04 05:46:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Traceback (most recent call last):
  File "/usr/share/hal/device-manager/DeviceManager.py", line 125, in
on_device_tree_selection_changed
    self.update_device_notebook(device)
  File "/usr/share/hal/device-manager/DeviceManager.py", line 481, in
update_device_notebook
    self.update_tab_device(device)
  File "/usr/share/hal/device-manager/DeviceManager.py", line 302, in
update_tab_device
    bus.set_label(Const.BUS_NAMES[device.properties["info.bus"]])
KeyError: 'ieee1394'


Version-Release number of selected component (if applicable):
hal-gnome-0.4.2.cvs20041210-1

How reproducible:
Always

Steps to Reproduce:
1. Expand ieee bus entry, click on device 3 lvls down in tree 

Additional info:
Comment 1 David Zeuthen 2005-01-13 14:29:18 EST
hal-device-manager is only really a development tool - in the future
it will be replaced with a real native GNOME application.

Note You need to log in before you can comment on or make changes to this bug.